% A simple example of using likelihood ratio = 1.
% Effectively we are sampling from the prior. 
% (a)
%     Start a supported prolog (see doc/user_guide.ps.gz) and type queries
%       compile( srun ).
%       srun.
%       halt.
% (b) 
%     on your shell do:
%       cd out_srun
%       more *mvisits               
%     This shows how often each `model' was visited.

:- ensure_loaded( '../../run' ).
:- elm( 'auxil/lhood_constant' ).
:- elm( 'auxil/create_mvisits' ).

srun :-
		Opts = [
				runs_file( sruns ),
				results_dir( out_srun ),
				print( [24,28,29,32] )
			],
		run( Opts ).

