:- ensure_loaded( library(system) ).		% /1.

sort_mods( [] ).
sort_mods( [F|Fs] ) :-
	( atom_concat( Stem, '.gz', F ) ->
		atom_concat( 'gunzip ', F, Gunzip ),
		system( Gunzip ),
		grep_sort( Stem ),
		atom_concat( 'gzip ', Stem, Gzip ),
		system( Gzip )
		;
		grep_sort( F )
	),
	sort_mods( Fs ).

grep_sort( Stem ) :-
	atom_concat( 'grep \'^c\' ', Stem, GrepPfx ),
	atom_concat( GrepPfx, ' | sort | uniq -c | sort -rn | more', GrepSort ),
	system( GrepSort ).
