scm_gen_each_vid( List, Id ) :-
	scm_gen_each_vid_1( List, 1, Id ).

scm_gen_each_vid_1( [H-OldPa|_T], Id, Pair ) :-
	\+ parentless( H ),
	Pair = Id - OldPa.
scm_gen_each_vid_1( [_H|T], Cnt, Id ) :-
	Nxt is Cnt + 1,
	scm_gen_each_vid_1( T, Nxt, Id ).

scm_gen_vstructure( AccMOD, H, Vstr, ExV, RepV ) :-
	scm_gen_vstructure_1( H, AccMOD, Vstr, ExV, RepV ).

scm_gen_vstructure_1( 1, [H|T], [RepV|T], H, RepV ) :-
	!.
scm_gen_vstructure_1( I, [H|T], Vstr, ExV, RepV ) :-
	I > 1,
	NxI is I - 1,
	Vstr = [H|TVstr],
	scm_gen_vstructure_1( NxI, T, TVstr, ExV, RepV ).
