#include <SWI-Prolog.h>
#include <math.h>

static foreign_t
pl_lgamma(term_t from, term_t val)
{ double f;

  if ( PL_get_float(from, &f) )
  { return PL_unify_float(val, lgamma(f));
  }

  return FALSE;
}

install_t
install()
{ PL_register_foreign("logamma", 2, pl_lgamma, 0);
}
