:- ensure_loaded( '../../src/init_lib' ).
:- requires( directory_files_regular/2 ).
:- requires( contains/2 ).

count_pos_neg :-
	directory_files_regular( '.', Files ),
	none_files( Files, NoneFs ),
	count_pos_neg_in_files( NoneFs ).

count_pos_neg_in_files( [] ).
count_pos_neg_in_files( [H|T] ) :-
	write(f(H)), nl, flush_output,
	Sfx = ' | wc -l',
	atom_concat( 'grep true ', H, GtH ),
	atom_concat( GtH, Sfx, True ),
	system( True ),
	atom_concat( 'grep false ', H, GfH ),
	atom_concat( GfH, Sfx, False ),
	system( False ),
	count_pos_neg_in_files( T ).

none_files( [], [] ).
none_files( [H|T], None ) :-
	( (atom_concat(_HB,'none',H),
	   atom_codes(H,HCs),\+contains(HCs,"predicted")) ->
		None = [H|TNone]
		;
		None = TNone
	),
	none_files( T, TNone ).
