:- ensure_loaded( '../../../run' ).
:- ensure_loaded( '../../src/lhood' ). % llhood_w_diff/5, model_llhood/2.
:- ensure_loaded( '../../src/split_cart_to_model' ). 	% /2.
:- ensure_loaded( '../../src/copy_classes_file' ). 	% /3.
:- ensure_loaded( '../../../auxil/create_mvisits' ). % exec_extension/2.

:- bb_put( to_model, split_cart_to_model(In,Out)/In/Out ).
% not_vacuous( [_,_,_,_,_|_] ).

rrun_b1 :-
	ResDir = '/local/d0p6/nicos/rr_pima_2005aa11_b1_v8_rcp_s633',
	Runs	=	[ 	runs_file(rruns_b1),
				results_dir( ResDir ),
				print([24,28,29,31]),
				basenames([Base|_])
			],
	run( Runs ),
	copy_classes_file( ResDir, Base, 'pima_data' ).
