:- ensure_loaded( '../../../../auxil/n_samples_tex' ).
:- ensure_loaded( '../../../../src/kernel' ).
% :- ensure_loaded( '../data/pima_data' ).
:- ensure_loaded( '../../../../bns/src/llhood/logamma' ).
:- ensure_loaded( pima_idsd ).

recb( [path] ) :-
	!,
	pima_idsd( Splits, Ids ),
	% pima_data( Ids,RootPs ),
	Split = cart( Splits, Ids, 0.95/1.5, Cart ),
	% Split = cart( 0.95, 1.5, Lvs ),
	% Split = split( leaf(0,Ids,RootPs), 0.95/0.8, Cart ),
	Slp = 'ids_split',
	% Slp = 'rec_split',
	Opts = [recpath(true),
			slp(Slp),call(Split-Cart),
			tmp(tmp_trnsf_recb),samples(10)],
	n_samples( Opts, _, Fs ),
	open( 'recb_paths.pl', write, Out ), 
	write_paths( Fs, Out ),
	close( Out ).

recb( [tex] ) :-
	pima_idsd( Splits, Ids ),
	Split = cart( Splits, Ids, 0.95/1.5, Cart ),
	Slp = 'ids_split',
	Opts = [
			slp(Slp),call(Split,Cart),
			tmp(tmp_trnsf_recb),samples(10),
			gv(true)],
	n_samples_tex( Opts ).

write_paths( [], _Out ).
write_paths( [_Crt/Path-_Tms|T], Out ) :-
	Path = InList/[],
	write( Out, p(InList) ), write( Out, '.' ), nl( Out ),
	path_to_btrack_pos( InList, uc, Pos ),
	% write( Out, cln(Cln) ), write( Out, '.' ), nl( Out ),
	write( Out, bcp(Pos) ), write( Out, '.' ), nl( Out ),
	write_paths( T, Out ).
