% like prior6 but children are chosen probabilisticly not sequentially.
% below proposal backtracking point the order in which children were 
% picked is resuffled...

% comparison_data(LossFs,TrueM,DataSize,ModSpace,BStg,RunLgth,Prior,Lkhood,SeedId,StrGoal).

% :- ensure_loaded( '../auxil/include_sc_auxil' ).
% :- ensure_loaded( '../../auxil/create_mvisits' ).

% :- ensure_loaded( 'list_of_first_n_nats' ). % 3.
:- ensure_loaded( true_nodes_have_nof_pa ). % 2.
% :- ensure_loaded( '../slps/all_pairwise_independencies' ). % 2.

comparison_data( 
				[loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount],
				TrueBase,
				DataPop,
				rm,
				sc,
				250000,
				'slps/scm_sgl_pa_inc_kpa_rej.slp',
				% '../bns/src/llhood/lhood_canonical_bdeu_multi_inc.pl',
				'../bns/src/llhood/lhood_canonical_bdeu_multi_spl.pl',
				% 103, % saemus
				451, % pc266
				% 772, % minotaur
				none,
				% none/include_sc_auxil,
				XFs,
				bn/[NofPaPrs,_]
						) :-
	member( TrueBase-XFs, 
				[ 
				 alarm-[cp_ld('../bns/src/bns_scm_sgl_pa_paless.pl'),cp_ld('slps/inc_bi_indep.pl'),cp_ld('true/alarm_inc_findpcs.pl'),cp_ld('true/alarm_pa_less.pl')],
				 insurance-[ld('../bns/src/bns_scm_sgl_pa_paless'),ld('slps/inc_bi_indep'),cp_ld('true/insurance_inc_findpcs.pl'),cp_ld('true/insurance_pa_less.pl'],
				 hailfinder-[ld('../bns/src/bns_scm_sgl_paless'),ld('slps/inc_bi_indep'),cp_ld('true/hailfinder_inc_findpcs.pl'),cp_ld('true/hailfinder_pa_less.pl')],
				 parity1-[ld('../bns/src/bns_scm_sgl_paless'),ld('slps/inc_bi_indep'),cp_ld('true/parity1_inc_findpcs.pl'),cp_ld('true/parity1_pa_less.pl')],
				 parity2-[ld('../bns/src/bns_scm_sgl_paless'),ld('slps/inc_bi_indep'),cp_ld('true/parity2_inc_findpcs.pl'),cp_ld('true/parity2_pa_less.pl')]
				] ),
	% member( DataPop, [500] ),
	member( DataPop, [500,1000] ),
	atom_concat( 'true/', TrueBase, DirTrue ),
	atom_concat( DirTrue, '.slp', True ),
	true_nodes_have_nof_pa( True, NofPaPrs, _Bn ).
	% all_pairwise_independencies( Bn, Ipcs ),
	% XFs = [cp('slps/ciex.pl','slps/')].
% :- bb_put( compare_cp,

 	% list_of_first_n_nats( NNds, [], Nats ).

% Also need to define, model_id/2, prior_id/2, lhood_id/2.
% These provide shorthands of the respective comparison_data/n entries
% which will appear in the results directories.

model_id( alarm, al ).
model_id( insurance, sc ).
model_id( hailfinder, hf ).
model_id( parity1, p1 ).
model_id( parity2, p2 ).

% prior_id( 'bn_or_pick_unif.slp', ou ).
% prior_id( 'stepped.slp', pd ).
% prior_id( 'step_known_causes.slp', pk ).
% prior_id( 'step_fixed_known_causes_ind.slp', xk ).
% prior_id( 'obs_indep_and_known_nof_pa_rej.slp', ij ).
% prior_id( 'obs_seq_inc_indep_and_known_nof_pa_rej.slp', sj ).
prior_id( 'scm_sgl_pa_inc_kpa_rej.slp', sg ).

% lhood_id( '../bns/src/llhood/lhood_canonical_uai01.pl', ua ).
% lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi.pl', md ).
% lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_set.pl', st ).
% lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_inc.pl', nc ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_spl.pl', lr ).

