:- ensure_loaded( '../../../../auxil/n_samples_tex' ).
:- ensure_loaded( '../data/pima_data' ).
:- ensure_loaded( '../../../../bns/src/llhood/logamma' ).

branch_rec( [path] ) :-
	!,
	% test_data( Splits, Ids ),
	pima_data( Ids,RootPsbs ),
	Split = cart( RootPsbs, Ids, 0.95/1.5, Cart ),
	% Split = cart( 0.95, 1.5, Lvs ),
	% Split = split( leaf(0,Ids,RootPs), 0.95/0.8, Cart ),
	Slp = 'branch_split',
	% Slp = 'rec_split',
	Opts = [recpath(true),
			slp(Slp),call(Split-Cart),
			tmp(tmp_trnsf_recb),samples(10)],
	n_samples( Opts, _, Fs ),
	open( 'recb_paths.pl', write, Out ), 
	write_paths( Fs, Out ),
	close( Out ).

branch_rec( [tex] ) :-
	% test_data( Splits, Ids ),
	% Split = cart( Splits, Ids, 0.95/1.5, Cart ),
	pima_data( Ids, RootPsbs ),
	Call = cart( RootPsbs, Ids, 0.95/1.5, Cart ),
	Slp = 'branch_split',
	Opts = [
			slp(Slp),call(Call,Cart),
			tmp(tmp_trnsf_recb),samples(100),
			gv(true)],
	n_samples_tex( Opts ).

write_paths( [], _Out ).
write_paths( [_Crt/Path-_Tms|T], Out ) :-
	Path = List/[],
	write( Out, p(List) ), write( Out, '.' ), nl( Out ),
	write_paths( T, Out ).
