
:- multifile( exec_extension/2 ).
:- dynamic( exec_extension/2 ).

:- ensure_loaded( data_calls_from_stats_file ).   % /2.
:- ensure_loaded( mvis_to_fterms ).               % /3.

exec_extension( fterms, BareFile ) :-
	atom_concat( BareFile, '.mvisits', MvisFile ),
	atom_concat( BareFile, '.fterms', FtsFile ),
     data_calls_from_stats_file( BareFile, ModType ),
	mvis_to_fterms( MvisFile, ModType, FtsFile ).
