:- ensure_loaded( '../../src/init_lib' ).

rep_fterms( [] ).
rep_fterms( [H|T] ) :-
	write( file(H) ), nl,
	write( '-----' ), nl,
	write( '    occ.        log likelihood        misclassifications' ),
	nl, write( '-----' ), nl, nl,
	open( H, read, In ),
	rep_the_fterms( In ),
	close( In ),
	write( '-----' ), nl, nl,
	rep_fterms( T ).

rep_the_fterms( In ) :-
	read( In, Term ), 
	Term = st(Tms,LL,Miscl,_),
	!,
	format( "~t~d~8|~t~16g~32|~t~d~42|", [Tms,LL,Miscl] ), nl,
	rep_the_fterms( In ).
rep_the_fterms( _In ).
