:- ensure_loaded( '../../../../src/init_lib' ).

:- ensure_loaded( library(read_terms) ).		% /2.
:- ensure_loaded( library(write_terms) ).		% /2.



narrow_data :-
	read_terms( 'bcw.pl', Data ),
	narrow_id_in_data( Data, OutData ),
	write_terms( 'bcw_ar10.pl', OutData ).

narrow_id_in_data( [], [] ).
narrow_id_in_data( [data(_,A,B,C,D,E,F,G,H,I,J)|T], [Fst|Rest] ) :-
	Fst = data(A,B,C,D,E,F,G,H,I,J),
	narrow_id_in_data( T, Rest ).
