
:- dynamic( class_weight/2 ).

% use the following from run scripts.
% e.g. ':- set_class_weights( [y-6] ).'
%
set_class_weights( ClWePrs ) :-
	retractall( class_weight(_,_) ),
	set_class_weights_1( ClWePrs ).

set_class_weights_1( [] ).
set_class_weights_1( [HCl-HWe|T]) :-
	assert( class_weight(HCl,HWe) ),
	set_class_weights_1( T ).
