:- ensure_loaded( the_true_bn_str_of ).
:- ensure_loaded( '../../bns/auxil/disp_bn' ).
:- ensure_loaded( library(ugraphs) ).
:- ensure_loaded( '../loss' ). 			% bn_eg/2.

disp_true( Trues ) :-
	( (Trues = [_|_];Trues = []) -> 
		Trues1 = Trues
		;
		Trues1 = [Trues]
	),
	disp_true_1( Trues1 ).

disp_true_1( [] ).
disp_true_1( [True|T] ) :-
	atom_concat( '../true/', True, BackTrue ),
	atom_concat( BackTrue, '.slp', TrueSlp ),
	the_true_bn_str_of( TrueSlp, Nds, BnEdges ),
	write( bn_edges(BnEdges) ), nl,
	length( BnEdges, NoBnEdges ), nl,
	write( True-NoBnEdges-BnEdges ), nl,
	bn_eg( BnEdges, EgEdges ),
	write( eg_edges(EgEdges) ), nl,
	add_edges( [], BnEdges, BnEdged ),
	add_vertices( BnEdged, Nds, BnComp ),
	transpose( BnComp, Bn ),
	write( bn(Bn) ), nl,
	disp_bn( Bn ),
	disp_true_1( T ).
