
breaks_list( List, Goal, Elem, Left, The, Right ) :-
     breaks_list_inclusive( List, Goal, Elem, false, Left, The, Right ).
breaks_list( List, Goal, Elem, Left, Right ) :-
     breaks_list_inclusive( List, Goal, Elem, true, Left, _The, Right ).

breaks_list_inclusive( [H|T], Goal, Elem, Incsv, Left, The, Right ) :-
	Elem=H,
     call(Goal),
     !,
     ( Incsv == true ->
	     Left = [H],
	     The = H             % shouldnt be rellied upon
          ;
	     The = H
     ),
	Right = T.

breaks_list_inclusive( [H|T], Goal, Elem, Incsv, Left, The, Right ) :-
     Left = [H|TLeft],
     breaks_list_inclusive( T, Goal, Elem, Incsv, TLeft, The, Right ).
